<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>WeatherBusiness.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">com.m2.tiila.weather.business</a> &gt; <span class="el_source">WeatherBusiness.java</span></div><h1>WeatherBusiness.java</h1><pre class="source lang-java linenums">package com.m2.tiila.weather.business;

import com.m2.tiila.weather.entity.PrevisionEntity;
import com.m2.tiila.weather.exception.FunctionalException;
import com.m2.tiila.weather.mapper.WeatherMapper;
import com.m2.tiila.weather.repository.WeatherRepository;
import dto.weatherapi.City;
import jakarta.inject.Inject;
import org.springframework.stereotype.Component;

import static com.m2.tiila.weather.mapper.WeatherMapper.toEntity;

@Component
<span class="fc" id="L14">public class WeatherBusiness {</span>

  @Inject
  private WeatherRepository weatherRepository;
  @Inject
  private CityBusiness cityBusiness;

  public PrevisionEntity getCityWeather(String city, String user) {
<span class="pc bpc" id="L22" title="1 of 2 branches missed.">    if (user.equals(&quot;admin&quot;))</span>
<span class="fc" id="L23">      return toEntity(weatherRepository.getCityWeather(city));</span>
<span class="nc" id="L24">    var cities = cityBusiness.getCity();</span>
<span class="nc bnc" id="L25" title="All 2 branches missed.">    for (City c : cities) {</span>
<span class="nc bnc" id="L26" title="All 2 branches missed.">      if (c.getName().equals(city))</span>
<span class="nc" id="L27">        return toEntity(weatherRepository.getCityWeather(city));</span>
<span class="nc" id="L28">    }</span>
<span class="nc" id="L29">    throw new FunctionalException(&quot;CITY_UNKNOW&quot;, &quot;La ville n'existe pas dans la base de donnÃ©es&quot;);</span>
  }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>